ru.bitel.bgbilling.modules.call.server.event

## Class BeforeLoginDeleteEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.call.server.event.BeforeLoginDeleteEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class BeforeLoginDeleteEvent
      extends LocalEvent

  Синхронное событие - перед удалением логина.
  Событие генерируется перед удаленем логина.
  Унаследован от `LocalEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BeforeLoginDeleteEvent()`
    `` | `BeforeLoginDeleteEvent(int userId, int mid, Login login)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Login` | `getLogin()` Возвращает логин.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BeforeLoginDeleteEvent

          protected BeforeLoginDeleteEvent()

    - #### BeforeLoginDeleteEvent

          public BeforeLoginDeleteEvent(int userId,
                                        int mid,
                                        Login login)

      Конструктор события.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `mid` - - код модуля
        `login` - - объект логина

  - ### Method Detail

    - #### getLogin

          public Login getLogin()

      Возвращает логин.
      Returns:
        login - логин